#
# spec file for package piper
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2019 Matthias Bach <marix@marix.org>.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           piper
Version:        0.2.903
Release:        lp150.5.1
Summary:        Configuration UI for gaming mice
License:        GPL-2.0-only
Group:          Hardware/Other
Url:            https://github.com/libratbag/piper
Source:         %name-%version.tar.xz
Patch1:         shebang-env.patch
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  fdupes
BuildRequires:  meson
BuildRequires:  python-rpm-macros
BuildRequires:  python3-gobject-devel
BuildRequires:  update-desktop-files
Requires:       python3-gobject
Requires:       python3-gobject-Gdk
Requires:       python3-lxml
Requires:       ratbagd >= 0.9.904
Requires(post): update-desktop-files
Requires(postun): update-desktop-files

%description
Piper is a GTK+ application to configure gaming mice. It is a graphical frontent
to the ratbagd DBUS daemon which provides the actual configuration support for the
devices.

%prep
%setup -q
%patch -P 1 -p1

%build
%meson
%meson_build

%check
%meson_test

%install
%meson_install
%fdupes %buildroot/%_prefix
%suse_update_desktop_file -r org.freedesktop.Piper Settings HardwareSettings
%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%{_bindir}/piper
%{_datadir}/applications/org.freedesktop.Piper.desktop
%{_datadir}/icons/hicolor/scalable/apps/org.freedesktop.Piper.svg
%{_datadir}/metainfo/org.freedesktop.Piper.appdata.xml
%{_datadir}/piper
%{python3_sitelib}/*

%changelog
* Wed Jan 30 2019 marix@marix.org
- Update to version 0.2.903:
  * Updated Polish and German translations.
  * Adjust to incompatible changes in ratbagd 0.9.904.
  * Improved handling of error cases.
  * Improved compatibility with HiDPI screens.
  * Provide localized desktop files
* Fri Oct 19 2018 marix@marix.org
- Added missing dependency to python3-gobject-Gdk.
* Thu Oct 18 2018 marix@marix.org
- Fixed use of deprecated syntax for BuildArch in the package
  spec.
* Wed Oct 17 2018 marix@marix.org
- Improved Category adjustment logic.
- Corrected Url in metadata to actually point to the upstream code
  repository.
- Replaced sed-patching by proper patch files.
- Minimised build dependencies.
* Tue Oct 16 2018 marix@marix.org
- Initial package creation
